﻿using System;
using UnivateProperties_API.Model.ProcessFlow;

namespace UnivateProperties_API.Containers.ProcessFlow
{
    public class BidItemDisplay
    {
        #region Properties
        public int Id { get; set; }        
        public string Type { get; set; }
        public string ShortDescription { get; set; }
        public string Description { get; set; }
        public string Resort { get; set; }
        public string UnitNumber { get; set; }
        public string WeekNumber { get; set; }
        public string StatusCode { get; set; }
        public string Status { get; set; }
        public decimal Price { get; set; }
        public decimal Offer { get; set; }
        public string MadeBy { get; set; }
        public DateTime Date { get; set; }
        public string Comment { get; set; }
        public string DeclineReason { get; set; }
        public decimal SellPrice { get; set; }
        #endregion 
    }

    public class BidItemNew : BidItem
    {
        public int UserId { get; set; }
    }
}
